#!/bin/sh

MODULES="adduser adduser.dml deluser deluser.dml moduser moduser.dml main main.dml configure configure.dml common.dml config functions"
LANGS="pl"

eval `echo $*`

if [ ! "$sysconfdir" ]; then sysconfdir=/etc/bofh; fi
if [ ! "$libdir" ]; then libdir=/usr/lib/bofh; fi
if [ ! "$sbindir" ]; then sbindir=/usr/sbin; fi
if [ ! "$localedir" ]; then localedir=/usr/share/locale; fi

if [ ! "$DESTDIR" ]; then
	echo "* DESTDIR not set, files will be put relative to / !"
else
	echo "* Files will be put under $DESTDIR"
fi

echo "* Directory with configuration... $sysconfdir"
echo "* Directory with modules... $libdir"
echo "* Directory with main bofh executable... $sbindir"
echo "* Directory with locale... $locale"
echo =====================================
echo -n "+ Creating necessary directories..."
for dir in $sysconfdir $libdir $sbindir $localedir; do mkdir -p $DESTDIR/$dir && echo -n " $DESTDIR$dir"; done
echo

echo -n "+ Copying configuration file... "
cp config $DESTDIR/$sysconfdir && echo OK

echo -n "+ Copying modules..."
for file in $MODULES ; do cp modules/$file $DESTDIR/$libdir && echo -n " $file"; done
echo

echo -n "+ Generating locale... ";
for i in $LANGS ; do mkdir -p $DESTDIR/$localedir/$i/LC_MESSAGES && msgfmt po/$i.po -o $DESTDIR/$localedir/$i/LC_MESSAGES/bofh.mo && echo $i; done

echo "+ Creating bofh executable at $DESTDIR$sbindir/bofh"
cat > $DESTDIR/$sbindir/bofh << EOF
#!/bin/bash

TEXTDOMAIN=bofh
TEXTDOMAINDIR=$localedir
CONFIG_DIRECTORY=$sysconfdir
MODULES_DIRECTORY=$libdir

export CONFIG_DIRECTORY MODULES_DIRECTORY TEXTDOMAIN TEXTDOMAINDIR

/bin/bash \$MODULES_DIRECTORY/main

EOF
chmod a+x $DESTDIR/$sbindir/bofh

echo
echo "* Have a nice day!"

